%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

Name:		handbrake
Version:	0.9.4
Release:	%mkrel 1
Summary:	Multithreaded Video Transcoder
Source:		http://handbrake.fr/HandBrake-%{version}.tar.bz2
Source101:	http://download.handbrake.fr/handbrake/contrib/a52dec-0.7.4.tar.gz
Source102:	http://download.handbrake.fr/handbrake/contrib/faac-1.28.tar.gz
Source103:	http://download.handbrake.fr/handbrake/contrib/faad2-2.7.tar.gz
Source104:	http://download.handbrake.fr/handbrake/contrib/ffmpeg-r19067.tar.bz2
Source105:	http://download.handbrake.fr/handbrake/contrib/lame-3.98.tar.gz
Source106:	http://download.handbrake.fr/handbrake/contrib/libdca-r81-strapped.tar.gz
Source107:	http://download.handbrake.fr/handbrake/contrib/libdvdnav-svn1168.tar.gz
Source108:	http://download.handbrake.fr/handbrake/contrib/libdvdread-svn1168.tar.gz
Source109:	http://download.handbrake.fr/handbrake/contrib/libmkv-0.6.4.tar.bz2
Source110:	http://download.handbrake.fr/handbrake/contrib/libogg-1.1.3.tar.gz
Source111:	http://download.handbrake.fr/handbrake/contrib/libsamplerate-0.1.4.tar.gz
Source112:	http://download.handbrake.fr/handbrake/contrib/libtheora-1.1.0.tar.bz2
Source113:	http://download.handbrake.fr/handbrake/contrib/libvorbis-aotuv_b5.tar.gz
Source114:	http://download.handbrake.fr/handbrake/contrib/mp4v2-trunk-r355.tar.bz2
Source115:	http://download.handbrake.fr/handbrake/contrib/mpeg2dec-0.5.1.tar.gz
Source116:	http://download.handbrake.fr/handbrake/contrib/x264-r1347-5ddd61b.tar.gz
Source99:	rpmlintrc
URL:		http://handbrake.fr/
Group:		Video
License:	GPLv2

BuildRequires:	python curl wget subversion
BuildRequires:	gtk2-devel gtkhtml2-devel bzip2-devel zlib-devel
BuildRequires:	libicu-devel libnotify-devel hal-devel
BuildRequires:	sqlite3-devel libcurl-devel libxslt-devel
BuildRequires:	gstreamer0.10-devel libgstreamer0.10-plugins-base-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	gcc gcc-c++ make glibc-devel yasm nasm
BuildRequires:	autoconf automake libtool intltool
BuildRequires:	desktop-file-utils grep awk

%description
HandBrake is an open-source, GPL-licensed, multiplatform, multithreaded video
transcoder.

%package cli
Summary:	Multithreaded Video Transcoder
Group:		Video

%description cli
HandBrake is an open-source, GPL-licensed, multiplatform, multithreaded video
transcoder.

This package contains a command-line interface for Handbrake.


%package gtk
Summary:	Multithreaded Video Transcoder
Group:		Video

%description gtk
HandBrake is an open-source, GPL-licensed, multiplatform, multithreaded video
transcoder.

This package contains a GTK+ graphical user interface for Handbrake.



%prep

%setup -q -n HandBrake-%{version}

# Copy 3rd party dependencies into expected locations:
mkdir download
for f in \
%{S:101} %{S:102} %{S:103} %{S:104} %{S:105} %{S:106} \
%{S:107} %{S:108} %{S:109} %{S:110} %{S:111} %{S:112} \
%{S:113} %{S:114} %{S:115} %{S:116} \
; do
	 ln -s "$f" download/
done

# check beforehand that the versions match what the
# build system expects:
missing=$PWD/.missing
grep -hE '\.FETCH\.url *=' contrib/*/module.defs \
| awk -F' =' '{print $2}' \
| while read url; do
	 f=$(echo "$url" | %__sed 's|^.*/||')
	 case $f in
		  bzip2*|libiconv*|pthreads*|zlib*) continue ;;
	 esac
	 [ -e "$RPM_SOURCE_DIR/$f" ] || echo "$url">>"$missing"
done

if test -e "$missing"; then
	 echo "ERROR: missing contrib source archives:" >&2
	 cat "$missing" >&2
	 exit 1
fi

%build


mkdir build
./configure \
	 --force \
	 --build="$PWD/build" \
	 --prefix="%{buildroot}%{_prefix}" \
	 --launch-jobs=0 \
	 --strip="/bin/true" \
	 --optimize=speed

#--debug=max

pushd build
%make libhb/project.h
%make
popd

%install
pushd build
%make install
popd

ln -s %{buildroot}%{_bindir}/ghb %{buildroot}%{_bindir}/HandBrakeGUI

rm -rf %{buildroot}%{_datadir}/icons/*/*.cache

%clean
rm -rf %{buildroot}

%files cli
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS NEWS THANKS
%{_bindir}/HandBrakeCLI

%files gtk
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS NEWS THANKS
%{_bindir}/HandBrakeGUI
%{_bindir}/ghb
%{_datadir}/applications/ghb.desktop
%{_datadir}/icons/*/*/apps/hb-icon.png

%changelog
* Fri Jul 16 2010 Oliver Burger <rpm@mandrivauser.de> 0.9.4-1mud2010.1
- rebuild for i586
  o Wed Jul 14 2010 Doktor5000 <rpm@mandrivauser.de> 0.9.4-1mud2010.1
  - rebuild for Mandrivalinux 2010.1

* Sun Dec 13 2009 Doktor5000 <rpm@mandrivauser.de> 0.9.4-1mud2010.0
- rebuild for Mandrivalinux 2010.0
- new version 0.9.4
- disable autodownload of external dependencies
- provide tarballs for dependencies
